Bug 498216 - (perl-Perl-Tags) Review Request: perl-Perl-Tags - Generate Ctags style tags for Perl sourcecode
Review Request: perl-Perl-Tags - Generate Ctags style tags for Perl sourcecode
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-29 09:51 EDT by Iain Arnell
Modified: 2009-05-09 00:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.26-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-30 03:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-29 09:51:36 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Perl-Tags.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Perl-Tags-0.26-1.fc12.src.rpm

Generate (possibly exuberant) Ctags style tags for Perl sourcecode.

Recursively follows use and require statements, up to a maximum of max_level.

The implemented tagger, Perl::Tags::Naive is a more-or-less straight ripoff,
slightly updated, of the original pltags code, and is rather naive. It should
be possible to subclass using something like PPI or Text::Balanced, though be
aware that this is alpha software and the internals are subject to change.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1328528

Comment 1 Parag AN(पराग) 2009-04-29 11:58:28 EDT
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1328528
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7ce83250ffa83ca25c40c9aaa9adc9b2  Perl-Tags-0.26.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=8, Tests=47,  4 wallclock secs ( 0.08 usr  0.03 sys +  1.51 cusr  0.16 csys =  1.78 CPU)
+ Package perl-Perl-Tags-0.26-1.fc12.noarch =>
Provides: perl(Perl::Tags) = 0.26 perl(Perl::Tags::Naive) perl(Perl::Tags::Naive::Lib) perl(Perl::Tags::Naive::Spiffy) perl(Perl::Tags::PPI) perl(Perl::Tags::Tag) perl(Perl::Tags::Tag::Constant) perl(Perl::Tags::Tag::Field) perl(Perl::Tags::Tag::Label) perl(Perl::Tags::Tag::Package) perl(Perl::Tags::Tag::Recurse) perl(Perl::Tags::Tag::Stub) perl(Perl::Tags::Tag::Sub) perl(Perl::Tags::Tag::Var)

Requires: perl(Data::Dumper) perl(File::Spec) perl(Module::Locate) perl(PPI) perl(base) perl(overload) perl(strict) perl(warnings)

Comment 2 Iain Arnell 2009-04-29 12:48:02 EDT
New Package CVS Request
Package Name: perl-Perl-Tags
Short Description: Generate Ctags style tags for Perl sourcecode
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-30 01:03:15 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-30 03:35:22 EDT
perl-Perl-Tags-0.26-1.fc11 has been submitted as an update for Fedora 11.
Comment 5 Fedora Update System 2009-04-30 03:35:27 EDT
perl-Perl-Tags-0.26-1.fc10 has been submitted as an update for Fedora 10.
Comment 6 Iain Arnell 2009-04-30 03:36:52 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-09 00:22:27 EDT
perl-Perl-Tags-0.26-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:24:08 EDT
perl-Perl-Tags-0.26-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.